FopConfParser (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.apps

## Class FopConfParser

- java.lang.Object
- - org.apache.fop.apps.FopConfParser

-     public class FopConfParser
      extends java.lang.Object

  Parses the FOP configuration file and returns a `FopFactoryBuilder` which builds a `FopFactory`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FopConfParser(Configuration cfg, FopFactoryBuilder fopFactoryBuilder)`
    `FopConfParser(java.io.File fopConfFile)` Constructor that takes the FOP conf and uses the default URI resolver.
    `FopConfParser(java.io.File fopConfFile, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Constructor that parses the FOP conf and uses the URI resolver given.
    `FopConfParser(java.io.File fopConfFile, java.net.URI defaultBaseURI)` Constructor that takes the FOP conf and a default base URI and uses the default URI resolver.
    `FopConfParser(java.io.InputStream fopConfStream, EnvironmentProfile enviro)` Constructor that takes the FOP conf in the form of an `InputStream`.
    `FopConfParser(java.io.InputStream fopConfStream, java.net.URI defaultBaseURI)` Constructor that takes the FOP conf in the form of an `InputStream`.
    `FopConfParser(java.io.InputStream fopConfStream, java.net.URI baseURI, EnvironmentProfile enviro)`
    `FopConfParser(java.io.InputStream fopConfStream, java.net.URI defaultBaseURI, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Constructor that takes the FOP conf in the form of an `InputStream`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FopFactoryBuilder` | `getFopFactoryBuilder()` Returns the `FopFactoryBuilder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FopConfParser

          public FopConfParser(java.io.InputStream fopConfStream,
                               EnvironmentProfile enviro)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution.
      Parameters:
        `fopConfStream` - the fop conf input stream
        `enviro` - the profile of the FOP deployment environment
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.InputStream fopConfStream,
                               java.net.URI defaultBaseURI,
                               org.apache.xmlgraphics.io.ResourceResolver resourceResolver)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution.
      Parameters:
        `fopConfStream` - the fop conf input stream
        `defaultBaseURI` - the default base URI
        `resourceResolver` - the URI resolver
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.InputStream fopConfStream,
                               java.net.URI defaultBaseURI)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution. The default URI resolvers is used.
      Parameters:
        `fopConfStream` - the fop conf input stream
        `defaultBaseURI` - the default base URI
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.File fopConfFile)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that takes the FOP conf and uses the default URI resolver.
      Parameters:
        `fopConfFile` - the FOP conf file
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.File fopConfFile,
                               java.net.URI defaultBaseURI)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that takes the FOP conf and a default base URI and uses the default URI resolver.
      Parameters:
        `fopConfFile` - the FOP conf file
        `defaultBaseURI` - the default base URI
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.File fopConfFile,
                               org.apache.xmlgraphics.io.ResourceResolver resourceResolver)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Constructor that parses the FOP conf and uses the URI resolver given.
      Parameters:
        `fopConfFile` - the FOP conf file
        `resourceResolver` - the URI resolver
      Throws:
        `org.xml.sax.SAXException` - if a SAX error was thrown parsing the FOP conf
        `java.io.IOException` - if an I/O error is thrown while parsing the FOP conf

    - #### FopConfParser

          public FopConfParser(java.io.InputStream fopConfStream,
                               java.net.URI baseURI,
                               EnvironmentProfile enviro)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### FopConfParser

          public FopConfParser(Configuration cfg,
                               FopFactoryBuilder fopFactoryBuilder)
                        throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

  - ### Method Detail

    - #### getFopFactoryBuilder

          public FopFactoryBuilder getFopFactoryBuilder()

      Returns the `FopFactoryBuilder`.
      Returns:
        the object for configuring the `FopFactory`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.